package org.greenstone.gsdl3.gs3build.schema;

public class RangeConstraint
{
    public static final int RANGE_MIN_EXCLUSIVE = 0x00;
    public static final int RANGE_MAX_EXCLUSIVE = 0x01;
    public static final int RANGE_MIN_INCLUSIVE = 0x10;
    public static final int RANGE_MAX_INCLUSIVE = 0x11;

    int type;
    double value;

    public RangeConstraint(int type, double value)
    {
	    this.type = type;
	    this.value = value;
    }

  public boolean validate(double value)
  {
  	switch (this.type) {
	  case RANGE_MIN_EXCLUSIVE:
	    return (value > this.value);
  	case RANGE_MAX_EXCLUSIVE:
	    return (value < this.value);
   case RANGE_MIN_INCLUSIVE:
	    return (value >= this.value);
   case RANGE_MAX_INCLUSIVE:
	    return (value <= this.value);
	}
	return false;
}

}
